### Method

# Ide EnvironmentEditor get_environment

#### Declaration

    IdeEnvironment*
    ide_environment_editor_get_environment (
      IdeEnvironmentEditor* self
    )

#### Description

No description available.

Gets property | `Ide.EnvironmentEditor:environment`

#### Return value

Returns: | `IdeEnvironment`
| An `IdeEnvironment` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.